Summary: A generic mozilla plug-in
Name: mozplugger
Version: 1.12.1
Release: b1
License: GPL
Group: Applications/Internet
Url: http://mozplugger.mozdev.org/
BuildArchitectures: i586

Source0: http://mozplugger.mozdev.org/mozplugger/%{name}-%{version}.tar.bz2
#Patch1: mozplugger-1.5.0-lib64.patch

#Requires: sox
BuildPrereq: libX11-devel
BuildPrereq: libXt-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: plugger

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup -q
#%patch1 -p1 -b .lib64
#patch -p1 -b < mozplugger-1.5.0-lib64.patch

%build
make linux lib=%{_lib}

%install
rm -rf %{buildroot}
make install lib=%{_lib} root=%{buildroot}

file=%{buildroot}%{_mandir}/man7/mozplugger.7
iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
mv "${file}_" "$file"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc README COPYING
%config /etc/mozpluggerrc
%{_bindir}/*
%{_libdir}/mozilla
#%{_mandir}/man7/mozplugger.7*

%changelog
* Thu Apr 16 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
